Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.applet
Class MessageServer.User

    java.lang.Object
      ix.applet.MessageServer.User

Enclosing class:
  MessageServer

    protected class MessageServer.User

extends java.lang.Object

Field Summary
`(package private) MessageQueue` | `connectionQueue`
`(package private) java.lang.String` | `hostAddr`
`(package private) java.lang.String` | `hostName`
`(package private) java.util.Date` | `lastAckDate`
`(package private) java.util.Date` | `lastContactDate`
`(package private) java.util.Date` | `lastSendDate`
`(package private) MessageQueue` | `messageQueue`
`(package private) MessageServer.UserMessageThread` | `messageThread`
`(package private) java.lang.String` | `name`
`(package private) java.util.List` | `registrationDates`
`(package private) int` | `seqNo`
`(package private) MessageMemory` | `unacknowledged`

Constructor Summary
`MessageServer.User(java.lang.String name, AppletMessage registration)`

Method Summary
`(package private) void` | `acknowledgedReceipt(java.lang.Integer key)`
`(package private) void` | `addMessage(AppletMessage m)`
`protected java.lang.String` | `describeMessage(AppletMessage m)`
`(package private) MessageQueue` | `getConnectionQueue()`
`(package private) AppletMessage` | `getFirstUnacknowledgedMessage()`
`(package private) java.lang.String` | `getHostAddr()`
`(package private) MessageQueue` | `getMessageQueue()`
`(package private) java.lang.String` | `getName()`
`(package private) java.util.List` | `getRegistrationDates()`
`(package private) boolean` | `isUnacknowledged(AppletMessage m)`
`(package private) void` | `killMessageThread()`
`(package private) void` | `noteln(java.lang.String line)`
`(package private) void` | `noteln(java.lang.String text, java.lang.Object about)`
`(package private) void` | `pushMessage(AppletMessage m)`
`(package private) void` | `registered(AppletMessage m, boolean isNew)`
`(package private) void` | `sent(AppletMessage m)`
`(package private) void` | `startMessageThread()`
`java.lang.String` | `status(java.util.Date now)`
`(package private) void` | `takeConnection(ObjectStreamConnection c)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    java.lang.String name

### hostName

    java.lang.String hostName

### hostAddr

    java.lang.String hostAddr

### messageQueue

    MessageQueue messageQueue

### connectionQueue

    MessageQueue connectionQueue

### unacknowledged

    MessageMemory unacknowledged

### messageThread

    MessageServer.UserMessageThread messageThread

### registrationDates

    java.util.List registrationDates

### lastContactDate

    java.util.Date lastContactDate

### lastSendDate

    java.util.Date lastSendDate

### lastAckDate

    java.util.Date lastAckDate

### seqNo

    int seqNo

Constructor Detail

### MessageServer.User

    MessageServer.User(java.lang.String name,
                       AppletMessage registration)

Method Detail

### getName

    java.lang.String getName()

### getHostAddr

    java.lang.String getHostAddr()

### getMessageQueue

    MessageQueue getMessageQueue()

### getConnectionQueue

    MessageQueue getConnectionQueue()

### sent

    void sent(AppletMessage m)

### getRegistrationDates

    java.util.List getRegistrationDates()

### registered

    void registered(AppletMessage m,
                    boolean isNew)

### addMessage

    void addMessage(AppletMessage m)

### pushMessage

    void pushMessage(AppletMessage m)

### isUnacknowledged

    boolean isUnacknowledged(AppletMessage m)

### getFirstUnacknowledgedMessage

    AppletMessage getFirstUnacknowledgedMessage()

### acknowledgedReceipt

    void acknowledgedReceipt(java.lang.Integer key)

### takeConnection

    void takeConnection(ObjectStreamConnection c)

### startMessageThread

    void startMessageThread()

### killMessageThread

    void killMessageThread()

### noteln

    void noteln(java.lang.String line)

### noteln

    void noteln(java.lang.String text,
                java.lang.Object about)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### status

    public java.lang.String status(java.util.Date now)

### describeMessage

    protected java.lang.String describeMessage(AppletMessage m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD